-- the background for our scene
scene = love.graphics.newImage("room.png")
-- the character we will be moving around
person = love.graphics.newImage("guy.png")
-- an object to move around
object = love.graphics.newImage("ball.png")

-- the character position
character = {400,400} -- x,y

-- a bunch of objects, each with a position
objects = {}
objects[1] = {550,370}
objects[2] = {220,390}
objects[3] = {600,410}
objects[4] = {300,450}
objects[5] = {400,530}

function orderY(a,b)
	return a[2] < b[2]
end
table.sort(objects, orderY)

function love.draw()
	love.graphics.draw(scene, love.graphics:getWidth()/2 - scene:getWidth()/2, love.graphics:getHeight()/2 - scene:getHeight()/2) -- draw at the center of the screen
	
	local drawn = false -- true when the character has been drawn
	
	for i, v in ipairs(objects) do
		if not drawn and objects[i][2] > character[2] then
			love.graphics.draw(person, character[1] - person:getWidth()/2, character[2] - person:getHeight())
			drawn = true
		end
		love.graphics.draw(object, objects[i][1] - object:getWidth()/2, objects[i][2] - object:getHeight())
	end
	
	if not drawn then -- if the person below all objectsit won't be drawn within the for loop
		love.graphics.draw(person, character[1] - person:getWidth()/2, character[2] - person:getHeight())
	end
	
	-- any foreground objects go here
end